﻿using Infragistics.Win;
using Infragistics.Win.FormattedLinkLabel;
using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGridFormattedCaption
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();            
            
            this.ultraGrid1.InitializeLayout += UltraGrid1_InitializeLayout;
            this.ultraGrid1.InitializeGroupByRow += UltraGrid1_InitializeGroupByRow;
            ultraGrid1.CreationFilter = new FormattedCaptionCreationFilter();

            DataTable dt = DummyDataCreator.GetData(1000, new Type[] { typeof(string), typeof(string), typeof(int), typeof(string) });
            dt.Columns["String 1"].ColumnName = "Product";
            dt.Columns["String 2"].ColumnName = "Component";
            dt.Columns["Int32 1"].ColumnName = "Quantity";
            dt.Columns["String 3"].ColumnName = "Header";
            foreach (DataRow row in dt.Rows)
            {
                row["Header"] = "Header " + DummyDataCreator.RandomInt(0,4);
            }

            this.ultraGrid1.SetDataBinding(dt, null);
        }

       

        private void UltraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            var layout = e.Layout;
            var band = layout.Bands[0];
            var ov = layout.Override;

            layout.ViewStyleBand = ViewStyleBand.OutlookGroupBy;
            band.SortedColumns.Add("Header", false, true);
        }

        private void UltraGrid1_InitializeGroupByRow(object sender, InitializeGroupByRowEventArgs e)
        {
            string SemeString = e.Row.Value.ToString();
            e.Row.Description = string.Format("<span style='color:#373636;font-family: Segoe ui; font-size: 9pt;'>{0}</span>", SemeString);
        }
    }

}
